Skip to navigation

Get node telemetry data.

View as Markdown
Retrieve node telemetry data for use in analysis applications.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

clusterIdstringOptionalformat: "uuid"

Filter using the Universally Unique Identifier (UUID) of the cluster.

nodepoolNamestringOptional
Filter using the nodepool.
groupBylist of enumsOptional
workload fields to group the data by
Allowed values:
telemetryTypeenumRequired
specifies what data to request

Response

Executed successfully.
typestring
specifies what data returned
timestampdatetime
valueslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error